Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Is it possible to get the latest Unity without upgrading to 12.10 on my Ubuntu 12.04 PC or will this be backported?

share|improve this question
add comment

5 Answers

up vote 4 down vote accepted

Yes, you can get the latest version and build it manually, I haven't tried this, but some people succeeded on doing it:

How do I build Unity from source?

Since it contains only some bug fixes, It's not that great updating it to version 6.

share|improve this answer
add comment

An official backport won't happen, no.

Because Unity 6.0 depends on the latest Quantal versions of Nux and Compiz, which in turn depend on the newer versions of other libraries, like libunity-webapps, indicators, etc. Unity 5.x, however, will continue to be supported for the entire life cycle of Ubuntu 12.04 with stable release upgrades to fix bugs.

It would be possible for a community developer to take the source code of Unity 6.0 and dependent libraries, try building it with Precise libraries (many modifications would be needed) and put it up in a PPA, but it won't be worth the effort.

share|improve this answer
    
thank you...this is sad..because i would like to install the LTS on my friend's/family's computer, but with the performance bugs it's quite not that nice on some machines. –  Felix Haller Sep 2 '12 at 17:15
add comment

I tried to give it a Google and found this link referring to Unity backporting from Quantal to Precise which may be of some use to you.

share|improve this answer
add comment

It all depends on dependencies, really. If the dependencies for 6.2 can be satisfied, then it is likely it will be backported to Ubuntu 12.04 in the near future.

share|improve this answer
add comment

This Works:

Open Terminal, then type

sudo add-apt-repository ppa:benkai/precise-unity-backport

sudo apt-get update

sudo apt-get remove unity-lens-applications

sudo apt-get install unity

wget http://ppa.launchpad.net/benkai/precise-unity-backport/ubuntu/pool/main/u/unity-lens-applications/unity-lens-applications_6.4.0-0ubuntu2_i386.deb

sudo dpkg -i unity-lens-applications_6.4.0-0ubuntu2_i386.deb

From: https://launchpad.net/~benkai/+archive/precise-unity-backport

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.